#include <tcl-gobject.h>
#include <gnome.h>

#include "pkg.c"
#include "stub.c"

/**!
 * gnome.intro:
 *
 * This packages wraps the libgnome and libgnomeui libraries. See 
 * http://developer.gnome.org/doc/API/api-toc.html for more
 * information.
 **/

int Gnome_Init (Tcl_Interp *interp)
{
  if (interp == 0) {
    return TCL_ERROR;
  }

  if (!Tcl_InitStubs (interp, "8.2.0", 0)) {
    return TCL_ERROR;
  }

  if (!Tcl_PkgRequire (interp, "Gtk", VERSION, 0)) {
    return TCL_ERROR;
  }

  if (Tcl_PkgProvide (interp, "Gnome", VERSION) != TCL_OK) {
    return TCL_ERROR;
  }

#include "pkg.init"

  return TCL_OK;
}



