package require GdkPixbuf

proc main {argv} {
    foreach img $argv {
	puts $img

	set pb [gdk::pixbuf new_from_file $img err]

	if {[g::handle is_null $pb]} {
	    error [lindex $err 2]
	}

	puts "width: [gdk::pixbuf get_width $pb]"
	puts "height: [gdk::pixbuf get_height $pb]"
	puts "has_alpha: [gdk::pixbuf get_has_alpha $pb]"	
	puts "colorspace: [gdk::pixbuf get_colorspace $pb]"
    }
}

main $argv
