#include <tcl-gobject.h>
#include <atk/atk.h>
#include <atk/atk-enum-types.h>

#include "pkg.c"
#include "stub.c"

/**!
 * atk.intro:
 *
 * This packages wraps the Atk library used by Gtk. See 
 * http://developer.gnome.org/doc/API/2.0/atk for more
 * information.
 **/

int Atk_Init (Tcl_Interp *interp)
{
  if (interp == 0) {
    return TCL_ERROR;
  }

  if (!Tcl_InitStubs (interp, "8.2.0", 0)) {
    return TCL_ERROR;
  }

  if (Tcl_PkgProvide (interp, "Atk", VERSION) != TCL_OK) {
    return TCL_ERROR;
  }

#include "pkg.init"

  return TCL_OK;
}
