#include <tcl-gobject.h>
#include <gdk-pixbuf/gdk-pixbuf.h>

#include "pkg.c"
#include "stub.c"

/**!
 * gdk-pixbuf.intro:
 *
 * This packages wraps the GdkPixbuf library used by Gtk. See 
 * http://developer.gnome.org/doc/API/2.0/gdk-pixbuf for more
 * information.
 **/

int Gdkpixbuf_Init (Tcl_Interp *interp)
{
  if (interp == 0) {
    return TCL_ERROR;
  }

  if (!Tcl_InitStubs (interp, "8.2.0", 0)) {
    return TCL_ERROR;
  }

  if (!Tcl_PkgRequire (interp, "GObject", VERSION, 0)) {
    return TCL_ERROR;
  }

  if (Tcl_PkgProvide (interp, "GdkPixbuf", VERSION) != TCL_OK) {
    return TCL_ERROR;
  }

#include "pkg.init"

  return TCL_OK;
}



