  class Object {
    method new {
      cfunc g_object_newv
      ctype {GObject* GType guint GParameter*}
      gtype {G_TYPE_OBJECT G_TYPE_UINT ??? ???}
    }
    method set {
      cfunc g_object_set_property
      ctype {void GObject* {const gchar*} {const GValue*}}
      gtype {G_TYPE_NONE G_TYPE_OBJECT G_TYPE_STRING ???}
    }
    method get {
      cfunc g_object_get_property
      ctype {void GObject* {const gchar*} GValue*}
      gtype {??? G_TYPE_OBJECT G_TYPE_STRING ???}
    }
    method ref {
      cfunc g_object_ref
      ctype {GObject* GObject*}
      gtype {G_TYPE_OBJECT G_TYPE_OBJECT}
    }
    method unref {
      cfunc g_object_unref
      ctype {void GObject*}
      gtype {G_TYPE_NONE G_TYPE_OBJECT}
    }
  }

  # Had to change gpointer to GObject* for a number of these

  class Signal {
    method new {
      cfunc g_signal_newv
      ctype {guint {const gchar*} GType GSignalFlags GClosure* GSignalAccumulator gpointer GSignalCMarshaller GType guint GType*}
      gtype {G_TYPE_UINT G_TYPE_STRING G_TYPE_ULONG ??? G_TYPE_CLOSURE ??? ??? ??? G_TYPE_ULONG G_TYPE_UINT ???}
    }
    method list {
      cfunc g_signal_list_ids
      ctype {guint* GType guint*}
      gtype {??? G_TYPE_UINT ???}
    }
    method emit {
      cfunc g_signal_emitv
      ctype {void {const GValue*} guint GQuark GValue*}
      gtype {G_TYPE_NONE G_TYPE_VALUE G_TYPE_UINT ??? G_TYPE_VALUE}
    }
    method stop_emission {
      cfunc g_signal_stop_emission_by_name
      ctype {void GObject* {const gchar*}}
      gtype {G_TYPE_NONE G_TYPE_OBJECT G_TYPE_STRING}
    }
    method add_emission_hook {
      cfunc g_signal_add_emission_hook
      ctype {gulong guint GQuark GSignalEmissionHook gpointer GDestroyNotify}
      gtype {??? ??? ??? ??? ??? ???}
    }
    method remove_emission_hook {
      cfunc g_signal_remove_emission_hook
      ctype {void guint gulong}
      gtype {G_TYPE_NONE ??? G_TYPE_ULONG}
    }
    method connect {
      cfunc g_signal_connect_closure
      ctype {gulong GObject* {const gchar*} GClosure* gboolean}
      gtype {G_TYPE_ULONG G_TYPE_OBJECT G_TYPE_STRING G_TYPE_CLOSURE ???}
    }
    method handler_block {
      cfunc g_signal_handler_block
      ctype {void GObject* gulong}
      gtype {G_TYPE_NONE G_TYPE_OBJECT G_TYPE_ULONG}
    }
    method handler_unblock {
      cfunc g_signal_handler_unblock
      ctype {void GObject* gulong}
      gtype {G_TYPE_NONE G_TYPE_OBJECT G_TYPE_ULONG}
    }
    method handler_disconnect {
      cfunc g_signal_handler_disconnect
      ctype {void GObject* gulong}
      gtype {G_TYPE_NONE G_TYPE_OBJECT G_TYPE_ULONG}
    }
    method handler_is_connected {
      cfunc g_signal_handler_is_connected
      ctype {gboolean GObject* gulong}
      gtype {G_TYPE_BOOLEAN G_TYPE_OBJECT G_TYPE_ULONG}
    }
  }
