#include <tcl-gobject.h>
#include <pango/pango.h>

#include "pkg.c"
#include "stub.c"

/**!
 * pango.intro:
 *
 * This packages wraps the Pango library which is used by Gtk to mangae fonts.
 * See http://developer.gnome.org/doc/API/2.0/pango for more 
 * information.
 **/


int Pango_Init (Tcl_Interp *interp)
{
  if (interp == 0) {
    return TCL_ERROR;
  }

  if (!Tcl_InitStubs (interp, "8.2.0", 0)) {
    return TCL_ERROR;
  }

  if (Tcl_PkgProvide (interp, "Pango", VERSION) != TCL_OK) {
    return TCL_ERROR;
  }

#include "pkg.init"

  return TCL_OK;
}
